import{s as Ei,n as Ri,o as ji}from"../chunks/scheduler.b108d059.js";import{S as ki,i as Di,g as s,s as r,r as n,A as Ki,h as a,f as t,c as o,j as u,u as p,x as d,k as c,y as Bi,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.008de539.js";import{H as v}from"../chunks/Heading.88bfeb84.js";function Oi(zl){let T,Ie,Se,qe,x,Ne,y,Ue,$,Il="Core utility functions/classes for Transformers.js.",Ve,_,ql=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Fe,C,Nl='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isString"><code>.isString(text)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ge,Je,Qe,H,We,L,Xe,w,Ul="A base class for creating callable objects.",Ye,M,Vl='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Ze,et,tt,g,lt,A,it,P,Fl="Reverses the keys and values of an object.",rt,E,Gl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',ot,R,Jl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",st,at,dt,j,ct,k,ut,D,Ql="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",nt,K,Wl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',pt,B,Xl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",ft,mt,ht,O,bt,S,vt,z,Yl="Check if a value is a string.",Tt,I,Zl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',xt,q,ei="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>text</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",yt,$t,_t,N,Ct,U,Ht,V,ti="Check if a value is a typed array.",Lt,F,li='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',wt,G,ii='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',Mt,J,ri="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",gt,At,Pt,Q,Et,W,Rt,X,oi="Check if a value is an integer.",jt,Y,si='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',kt,Z,ai="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Dt,Kt,Bt,ee,Ot,te,St,le,di="Check if a value is exists.",zt,ie,ci='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',It,re,ui="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",qt,Nt,Ut,oe,Vt,se,Ft,ae,ni="Calculates the dimensions of a nested array.",Gt,de,pi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array containing the dimensions of the input array.',Jt,ce,fi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Qt,Wt,Xt,ue,Yt,ne,Zt,pe,mi="Replicate python’s .pop() method for objects.",el,fe,hi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',tl,me,bi="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",ll,he,vi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",il,rl,ol,be,sl,ve,al,Te,Ti=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,dl,xe,xi='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',cl,ye,yi="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",ul,nl,pl,$e,fl,_e,ml,Ce,$i="Calculates the index offset for a given index and window size.",hl,He,_i='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',bl,Le,Ci="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",vl,Tl,xl,we,yl,Me,$l,ge,Hi='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',_l,Ae,Li='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',Cl,Hl,Ll,Pe,wl,Ee,Ml,Re,wi="Creates a new instance of the Callable class.",gl,Al,Pl,je,El,ke,Rl,De,Mi=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,jl,Ke,gi='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',kl,Be,Ai="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Dl,Oe,Pi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Kl,Bl,Ol,ze,Sl;return y=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.Callable : <code> * </code>",local:"utilscorecallable--code--code",headingTag:"h2"}}),A=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),k=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),S=new v({props:{title:"utils/core.isString(text) ⇒ <code> boolean </code>",local:"utilscoreisstringtext--code-boolean-code",headingTag:"h2"}}),U=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),W=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),te=new v({props:{title:"utils/core.exists(x) ⇒ <code> boolean </code>",local:"utilscoreexistsx--code-boolean-code",headingTag:"h2"}}),se=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>",local:"utilscorecalculatedimensionsarr--code-array-code",headingTag:"h2"}}),ne=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),ve=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),_e=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),Me=new v({props:{title:"utils/core~Callable",local:"utilscorecallable",headingTag:"h2"}}),Ee=new v({props:{title:"new Callable()",local:"new-callable",headingTag:"h3"}}),ke=new v({props:{title:"callable._call(...args)",local:"callablecallargs",headingTag:"h3"}}),{c(){T=s("meta"),Ie=r(),Se=s("p"),qe=r(),x=s("a"),Ne=r(),n(y.$$.fragment),Ue=r(),$=s("p"),$.textContent=Il,Ve=r(),_=s("p"),_.textContent=ql,Fe=r(),C=s("ul"),C.innerHTML=Nl,Ge=r(),Je=s("hr"),Qe=r(),H=s("a"),We=r(),n(L.$$.fragment),Xe=r(),w=s("p"),w.textContent=Ul,Ye=r(),M=s("p"),M.innerHTML=Vl,Ze=r(),et=s("hr"),tt=r(),g=s("a"),lt=r(),n(A.$$.fragment),it=r(),P=s("p"),P.textContent=Fl,rt=r(),E=s("p"),E.innerHTML=Gl,ot=r(),R=s("table"),R.innerHTML=Jl,st=r(),at=s("hr"),dt=r(),j=s("a"),ct=r(),n(k.$$.fragment),ut=r(),D=s("p"),D.textContent=Ql,nt=r(),K=s("p"),K.innerHTML=Wl,pt=r(),B=s("table"),B.innerHTML=Xl,ft=r(),mt=s("hr"),ht=r(),O=s("a"),bt=r(),n(S.$$.fragment),vt=r(),z=s("p"),z.textContent=Yl,Tt=r(),I=s("p"),I.innerHTML=Zl,xt=r(),q=s("table"),q.innerHTML=ei,yt=r(),$t=s("hr"),_t=r(),N=s("a"),Ct=r(),n(U.$$.fragment),Ht=r(),V=s("p"),V.textContent=ti,Lt=r(),F=s("p"),F.innerHTML=li,wt=r(),G=s("p"),G.innerHTML=ii,Mt=r(),J=s("table"),J.innerHTML=ri,gt=r(),At=s("hr"),Pt=r(),Q=s("a"),Et=r(),n(W.$$.fragment),Rt=r(),X=s("p"),X.textContent=oi,jt=r(),Y=s("p"),Y.innerHTML=si,kt=r(),Z=s("table"),Z.innerHTML=ai,Dt=r(),Kt=s("hr"),Bt=r(),ee=s("a"),Ot=r(),n(te.$$.fragment),St=r(),le=s("p"),le.textContent=di,zt=r(),ie=s("p"),ie.innerHTML=ci,It=r(),re=s("table"),re.innerHTML=ui,qt=r(),Nt=s("hr"),Ut=r(),oe=s("a"),Vt=r(),n(se.$$.fragment),Ft=r(),ae=s("p"),ae.textContent=ni,Gt=r(),de=s("p"),de.innerHTML=pi,Jt=r(),ce=s("table"),ce.innerHTML=fi,Qt=r(),Wt=s("hr"),Xt=r(),ue=s("a"),Yt=r(),n(ne.$$.fragment),Zt=r(),pe=s("p"),pe.textContent=mi,el=r(),fe=s("p"),fe.innerHTML=hi,tl=r(),me=s("ul"),me.innerHTML=bi,ll=r(),he=s("table"),he.innerHTML=vi,il=r(),rl=s("hr"),ol=r(),be=s("a"),sl=r(),n(ve.$$.fragment),al=r(),Te=s("p"),Te.innerHTML=Ti,dl=r(),xe=s("p"),xe.innerHTML=xi,cl=r(),ye=s("table"),ye.innerHTML=yi,ul=r(),nl=s("hr"),pl=r(),$e=s("a"),fl=r(),n(_e.$$.fragment),ml=r(),Ce=s("p"),Ce.textContent=$i,hl=r(),He=s("p"),He.innerHTML=_i,bl=r(),Le=s("table"),Le.innerHTML=Ci,vl=r(),Tl=s("hr"),xl=r(),we=s("a"),yl=r(),n(Me.$$.fragment),$l=r(),ge=s("p"),ge.innerHTML=Hi,_l=r(),Ae=s("ul"),Ae.innerHTML=Li,Cl=r(),Hl=s("hr"),Ll=r(),Pe=s("a"),wl=r(),n(Ee.$$.fragment),Ml=r(),Re=s("p"),Re.textContent=wi,gl=r(),Al=s("hr"),Pl=r(),je=s("a"),El=r(),n(ke.$$.fragment),Rl=r(),De=s("p"),De.textContent=Mi,jl=r(),Ke=s("p"),Ke.innerHTML=gi,kl=r(),Be=s("ul"),Be.innerHTML=Ai,Dl=r(),Oe=s("table"),Oe.innerHTML=Pi,Kl=r(),Bl=s("hr"),Ol=r(),ze=s("p"),this.h()},l(e){const l=Ki("svelte-u9bgzb",document.head);T=a(l,"META",{name:!0,content:!0}),l.forEach(t),Ie=o(e),Se=a(e,"P",{}),u(Se).forEach(t),qe=o(e),x=a(e,"A",{id:!0,class:!0}),u(x).forEach(t),Ne=o(e),p(y.$$.fragment,e),Ue=o(e),$=a(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-u71mwf"&&($.textContent=Il),Ve=o(e),_=a(e,"P",{"data-svelte-h":!0}),d(_)!=="svelte-1r3ntfo"&&(_.textContent=ql),Fe=o(e),C=a(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-658top"&&(C.innerHTML=Nl),Ge=o(e),Je=a(e,"HR",{}),Qe=o(e),H=a(e,"A",{id:!0,class:!0}),u(H).forEach(t),We=o(e),p(L.$$.fragment,e),Xe=o(e),w=a(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-1u9qjt4"&&(w.textContent=Ul),Ye=o(e),M=a(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-1vaez1e"&&(M.innerHTML=Vl),Ze=o(e),et=a(e,"HR",{}),tt=o(e),g=a(e,"A",{id:!0,class:!0}),u(g).forEach(t),lt=o(e),p(A.$$.fragment,e),it=o(e),P=a(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-dvlmk2"&&(P.textContent=Fl),rt=o(e),E=a(e,"P",{"data-svelte-h":!0}),d(E)!=="svelte-14f6o7p"&&(E.innerHTML=Gl),ot=o(e),R=a(e,"TABLE",{"data-svelte-h":!0}),d(R)!=="svelte-8if77n"&&(R.innerHTML=Jl),st=o(e),at=a(e,"HR",{}),dt=o(e),j=a(e,"A",{id:!0,class:!0}),u(j).forEach(t),ct=o(e),p(k.$$.fragment,e),ut=o(e),D=a(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-14ro5y0"&&(D.textContent=Ql),nt=o(e),K=a(e,"P",{"data-svelte-h":!0}),d(K)!=="svelte-nstyrr"&&(K.innerHTML=Wl),pt=o(e),B=a(e,"TABLE",{"data-svelte-h":!0}),d(B)!=="svelte-1h5d263"&&(B.innerHTML=Xl),ft=o(e),mt=a(e,"HR",{}),ht=o(e),O=a(e,"A",{id:!0,class:!0}),u(O).forEach(t),bt=o(e),p(S.$$.fragment,e),vt=o(e),z=a(e,"P",{"data-svelte-h":!0}),d(z)!=="svelte-jvuywd"&&(z.textContent=Yl),Tt=o(e),I=a(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-1n9m385"&&(I.innerHTML=Zl),xt=o(e),q=a(e,"TABLE",{"data-svelte-h":!0}),d(q)!=="svelte-zojxg3"&&(q.innerHTML=ei),yt=o(e),$t=a(e,"HR",{}),_t=o(e),N=a(e,"A",{id:!0,class:!0}),u(N).forEach(t),Ct=o(e),p(U.$$.fragment,e),Ht=o(e),V=a(e,"P",{"data-svelte-h":!0}),d(V)!=="svelte-1oclrgb"&&(V.textContent=ti),Lt=o(e),F=a(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1uuf78s"&&(F.innerHTML=li),wt=o(e),G=a(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-pr567i"&&(G.innerHTML=ii),Mt=o(e),J=a(e,"TABLE",{"data-svelte-h":!0}),d(J)!=="svelte-cdg32t"&&(J.innerHTML=ri),gt=o(e),At=a(e,"HR",{}),Pt=o(e),Q=a(e,"A",{id:!0,class:!0}),u(Q).forEach(t),Et=o(e),p(W.$$.fragment,e),Rt=o(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1ityjuy"&&(X.textContent=oi),jt=o(e),Y=a(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1n9m385"&&(Y.innerHTML=si),kt=o(e),Z=a(e,"TABLE",{"data-svelte-h":!0}),d(Z)!=="svelte-6n2d7i"&&(Z.innerHTML=ai),Dt=o(e),Kt=a(e,"HR",{}),Bt=o(e),ee=a(e,"A",{id:!0,class:!0}),u(ee).forEach(t),Ot=o(e),p(te.$$.fragment,e),St=o(e),le=a(e,"P",{"data-svelte-h":!0}),d(le)!=="svelte-1l2mf7d"&&(le.textContent=di),zt=o(e),ie=a(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-1s16qo7"&&(ie.innerHTML=ci),It=o(e),re=a(e,"TABLE",{"data-svelte-h":!0}),d(re)!=="svelte-6n2d7i"&&(re.innerHTML=ui),qt=o(e),Nt=a(e,"HR",{}),Ut=o(e),oe=a(e,"A",{id:!0,class:!0}),u(oe).forEach(t),Vt=o(e),p(se.$$.fragment,e),Ft=o(e),ae=a(e,"P",{"data-svelte-h":!0}),d(ae)!=="svelte-1p78ixx"&&(ae.textContent=ni),Gt=o(e),de=a(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-1tb7iu1"&&(de.innerHTML=pi),Jt=o(e),ce=a(e,"TABLE",{"data-svelte-h":!0}),d(ce)!=="svelte-1kcvid9"&&(ce.innerHTML=fi),Qt=o(e),Wt=a(e,"HR",{}),Xt=o(e),ue=a(e,"A",{id:!0,class:!0}),u(ue).forEach(t),Yt=o(e),p(ne.$$.fragment,e),Zt=o(e),pe=a(e,"P",{"data-svelte-h":!0}),d(pe)!=="svelte-1m1a0x7"&&(pe.textContent=mi),el=o(e),fe=a(e,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-1dwq64m"&&(fe.innerHTML=hi),tl=o(e),me=a(e,"UL",{"data-svelte-h":!0}),d(me)!=="svelte-n4a723"&&(me.innerHTML=bi),ll=o(e),he=a(e,"TABLE",{"data-svelte-h":!0}),d(he)!=="svelte-j5xxk1"&&(he.innerHTML=vi),il=o(e),rl=a(e,"HR",{}),ol=o(e),be=a(e,"A",{id:!0,class:!0}),u(be).forEach(t),sl=o(e),p(ve.$$.fragment,e),al=o(e),Te=a(e,"P",{"data-svelte-h":!0}),d(Te)!=="svelte-kvbp1p"&&(Te.innerHTML=Ti),dl=o(e),xe=a(e,"P",{"data-svelte-h":!0}),d(xe)!=="svelte-1ydcymw"&&(xe.innerHTML=xi),cl=o(e),ye=a(e,"TABLE",{"data-svelte-h":!0}),d(ye)!=="svelte-stz7tp"&&(ye.innerHTML=yi),ul=o(e),nl=a(e,"HR",{}),pl=o(e),$e=a(e,"A",{id:!0,class:!0}),u($e).forEach(t),fl=o(e),p(_e.$$.fragment,e),ml=o(e),Ce=a(e,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-1m1ncmy"&&(Ce.textContent=$i),hl=o(e),He=a(e,"P",{"data-svelte-h":!0}),d(He)!=="svelte-vsw9ui"&&(He.innerHTML=_i),bl=o(e),Le=a(e,"TABLE",{"data-svelte-h":!0}),d(Le)!=="svelte-xzg366"&&(Le.innerHTML=Ci),vl=o(e),Tl=a(e,"HR",{}),xl=o(e),we=a(e,"A",{id:!0,class:!0}),u(we).forEach(t),yl=o(e),p(Me.$$.fragment,e),$l=o(e),ge=a(e,"P",{"data-svelte-h":!0}),d(ge)!=="svelte-15n5joc"&&(ge.innerHTML=Hi),_l=o(e),Ae=a(e,"UL",{"data-svelte-h":!0}),d(Ae)!=="svelte-thd9hc"&&(Ae.innerHTML=Li),Cl=o(e),Hl=a(e,"HR",{}),Ll=o(e),Pe=a(e,"A",{id:!0,class:!0}),u(Pe).forEach(t),wl=o(e),p(Ee.$$.fragment,e),Ml=o(e),Re=a(e,"P",{"data-svelte-h":!0}),d(Re)!=="svelte-hu496d"&&(Re.textContent=wi),gl=o(e),Al=a(e,"HR",{}),Pl=o(e),je=a(e,"A",{id:!0,class:!0}),u(je).forEach(t),El=o(e),p(ke.$$.fragment,e),Rl=o(e),De=a(e,"P",{"data-svelte-h":!0}),d(De)!=="svelte-8c74gj"&&(De.textContent=Mi),jl=o(e),Ke=a(e,"P",{"data-svelte-h":!0}),d(Ke)!=="svelte-161nsqx"&&(Ke.innerHTML=gi),kl=o(e),Be=a(e,"UL",{"data-svelte-h":!0}),d(Be)!=="svelte-7c1v8c"&&(Be.innerHTML=Ai),Dl=o(e),Oe=a(e,"TABLE",{"data-svelte-h":!0}),d(Oe)!=="svelte-1v34kj"&&(Oe.innerHTML=Pi),Kl=o(e),Bl=a(e,"HR",{}),Ol=o(e),ze=a(e,"P",{}),u(ze).forEach(t),this.h()},h(){c(T,"name","hf:doc:metadata"),c(T,"content",Si),c(x,"id","module_utils/core"),c(x,"class","group"),c(H,"id","module_utils/core.Callable"),c(H,"class","group"),c(g,"id","module_utils/core.reverseDictionary"),c(g,"class","group"),c(j,"id","module_utils/core.escapeRegExp"),c(j,"class","group"),c(O,"id","module_utils/core.isString"),c(O,"class","group"),c(N,"id","module_utils/core.isTypedArray"),c(N,"class","group"),c(Q,"id","module_utils/core.isIntegralNumber"),c(Q,"class","group"),c(ee,"id","module_utils/core.exists"),c(ee,"class","group"),c(oe,"id","module_utils/core.calculateDimensions"),c(oe,"class","group"),c(ue,"id","module_utils/core.pop"),c(ue,"class","group"),c(be,"id","module_utils/core.mergeArrays"),c(be,"class","group"),c($e,"id","module_utils/core.calculateReflectOffset"),c($e,"class","group"),c(we,"id","module_utils/core..Callable"),c(we,"class","group"),c(Pe,"id","new_module_utils/core..Callable_new"),c(Pe,"class","group"),c(je,"id","module_utils/core..Callable+_call"),c(je,"class","group")},m(e,l){Bi(document.head,T),i(e,Ie,l),i(e,Se,l),i(e,qe,l),i(e,x,l),i(e,Ne,l),f(y,e,l),i(e,Ue,l),i(e,$,l),i(e,Ve,l),i(e,_,l),i(e,Fe,l),i(e,C,l),i(e,Ge,l),i(e,Je,l),i(e,Qe,l),i(e,H,l),i(e,We,l),f(L,e,l),i(e,Xe,l),i(e,w,l),i(e,Ye,l),i(e,M,l),i(e,Ze,l),i(e,et,l),i(e,tt,l),i(e,g,l),i(e,lt,l),f(A,e,l),i(e,it,l),i(e,P,l),i(e,rt,l),i(e,E,l),i(e,ot,l),i(e,R,l),i(e,st,l),i(e,at,l),i(e,dt,l),i(e,j,l),i(e,ct,l),f(k,e,l),i(e,ut,l),i(e,D,l),i(e,nt,l),i(e,K,l),i(e,pt,l),i(e,B,l),i(e,ft,l),i(e,mt,l),i(e,ht,l),i(e,O,l),i(e,bt,l),f(S,e,l),i(e,vt,l),i(e,z,l),i(e,Tt,l),i(e,I,l),i(e,xt,l),i(e,q,l),i(e,yt,l),i(e,$t,l),i(e,_t,l),i(e,N,l),i(e,Ct,l),f(U,e,l),i(e,Ht,l),i(e,V,l),i(e,Lt,l),i(e,F,l),i(e,wt,l),i(e,G,l),i(e,Mt,l),i(e,J,l),i(e,gt,l),i(e,At,l),i(e,Pt,l),i(e,Q,l),i(e,Et,l),f(W,e,l),i(e,Rt,l),i(e,X,l),i(e,jt,l),i(e,Y,l),i(e,kt,l),i(e,Z,l),i(e,Dt,l),i(e,Kt,l),i(e,Bt,l),i(e,ee,l),i(e,Ot,l),f(te,e,l),i(e,St,l),i(e,le,l),i(e,zt,l),i(e,ie,l),i(e,It,l),i(e,re,l),i(e,qt,l),i(e,Nt,l),i(e,Ut,l),i(e,oe,l),i(e,Vt,l),f(se,e,l),i(e,Ft,l),i(e,ae,l),i(e,Gt,l),i(e,de,l),i(e,Jt,l),i(e,ce,l),i(e,Qt,l),i(e,Wt,l),i(e,Xt,l),i(e,ue,l),i(e,Yt,l),f(ne,e,l),i(e,Zt,l),i(e,pe,l),i(e,el,l),i(e,fe,l),i(e,tl,l),i(e,me,l),i(e,ll,l),i(e,he,l),i(e,il,l),i(e,rl,l),i(e,ol,l),i(e,be,l),i(e,sl,l),f(ve,e,l),i(e,al,l),i(e,Te,l),i(e,dl,l),i(e,xe,l),i(e,cl,l),i(e,ye,l),i(e,ul,l),i(e,nl,l),i(e,pl,l),i(e,$e,l),i(e,fl,l),f(_e,e,l),i(e,ml,l),i(e,Ce,l),i(e,hl,l),i(e,He,l),i(e,bl,l),i(e,Le,l),i(e,vl,l),i(e,Tl,l),i(e,xl,l),i(e,we,l),i(e,yl,l),f(Me,e,l),i(e,$l,l),i(e,ge,l),i(e,_l,l),i(e,Ae,l),i(e,Cl,l),i(e,Hl,l),i(e,Ll,l),i(e,Pe,l),i(e,wl,l),f(Ee,e,l),i(e,Ml,l),i(e,Re,l),i(e,gl,l),i(e,Al,l),i(e,Pl,l),i(e,je,l),i(e,El,l),f(ke,e,l),i(e,Rl,l),i(e,De,l),i(e,jl,l),i(e,Ke,l),i(e,kl,l),i(e,Be,l),i(e,Dl,l),i(e,Oe,l),i(e,Kl,l),i(e,Bl,l),i(e,Ol,l),i(e,ze,l),Sl=!0},p:Ri,i(e){Sl||(m(y.$$.fragment,e),m(L.$$.fragment,e),m(A.$$.fragment,e),m(k.$$.fragment,e),m(S.$$.fragment,e),m(U.$$.fragment,e),m(W.$$.fragment,e),m(te.$$.fragment,e),m(se.$$.fragment,e),m(ne.$$.fragment,e),m(ve.$$.fragment,e),m(_e.$$.fragment,e),m(Me.$$.fragment,e),m(Ee.$$.fragment,e),m(ke.$$.fragment,e),Sl=!0)},o(e){h(y.$$.fragment,e),h(L.$$.fragment,e),h(A.$$.fragment,e),h(k.$$.fragment,e),h(S.$$.fragment,e),h(U.$$.fragment,e),h(W.$$.fragment,e),h(te.$$.fragment,e),h(se.$$.fragment,e),h(ne.$$.fragment,e),h(ve.$$.fragment,e),h(_e.$$.fragment,e),h(Me.$$.fragment,e),h(Ee.$$.fragment,e),h(ke.$$.fragment,e),Sl=!1},d(e){e&&(t(Ie),t(Se),t(qe),t(x),t(Ne),t(Ue),t($),t(Ve),t(_),t(Fe),t(C),t(Ge),t(Je),t(Qe),t(H),t(We),t(Xe),t(w),t(Ye),t(M),t(Ze),t(et),t(tt),t(g),t(lt),t(it),t(P),t(rt),t(E),t(ot),t(R),t(st),t(at),t(dt),t(j),t(ct),t(ut),t(D),t(nt),t(K),t(pt),t(B),t(ft),t(mt),t(ht),t(O),t(bt),t(vt),t(z),t(Tt),t(I),t(xt),t(q),t(yt),t($t),t(_t),t(N),t(Ct),t(Ht),t(V),t(Lt),t(F),t(wt),t(G),t(Mt),t(J),t(gt),t(At),t(Pt),t(Q),t(Et),t(Rt),t(X),t(jt),t(Y),t(kt),t(Z),t(Dt),t(Kt),t(Bt),t(ee),t(Ot),t(St),t(le),t(zt),t(ie),t(It),t(re),t(qt),t(Nt),t(Ut),t(oe),t(Vt),t(Ft),t(ae),t(Gt),t(de),t(Jt),t(ce),t(Qt),t(Wt),t(Xt),t(ue),t(Yt),t(Zt),t(pe),t(el),t(fe),t(tl),t(me),t(ll),t(he),t(il),t(rl),t(ol),t(be),t(sl),t(al),t(Te),t(dl),t(xe),t(cl),t(ye),t(ul),t(nl),t(pl),t($e),t(fl),t(ml),t(Ce),t(hl),t(He),t(bl),t(Le),t(vl),t(Tl),t(xl),t(we),t(yl),t($l),t(ge),t(_l),t(Ae),t(Cl),t(Hl),t(Ll),t(Pe),t(wl),t(Ml),t(Re),t(gl),t(Al),t(Pl),t(je),t(El),t(Rl),t(De),t(jl),t(Ke),t(kl),t(Be),t(Dl),t(Oe),t(Kl),t(Bl),t(Ol),t(ze)),t(T),b(y,e),b(L,e),b(A,e),b(k,e),b(S,e),b(U,e),b(W,e),b(te,e),b(se,e),b(ne,e),b(ve,e),b(_e,e),b(Me,e),b(Ee,e),b(ke,e)}}}const Si='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.Callable : <code> * </code>","local":"utilscorecallable--code--code","sections":[],"depth":2},{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isString(text) ⇒ <code> boolean </code>","local":"utilscoreisstringtext--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.exists(x) ⇒ <code> boolean </code>","local":"utilscoreexistsx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>","local":"utilscorecalculatedimensionsarr--code-array-code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core~Callable","local":"utilscorecallable","sections":[{"title":"new Callable()","local":"new-callable","sections":[],"depth":3},{"title":"callable._call(...args)","local":"callablecallargs","sections":[],"depth":3}],"depth":2}],"depth":1}';function zi(zl){return ji(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ui extends ki{constructor(T){super(),Di(this,T,zi,Oi,Ei,{})}}export{Ui as component};
